#!/bin/bash
##########################################
# File Name:42_check_ip_func.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例42：将案例30改为数组形式，从指定文件/server/files/urls.txt读取内容
#cat /server/files/urls.txt
#10.0.0.200
#jd.com
#baidu.com
#taobao.com
#linuxjk.cn
#12306.cn
source /funcs/func_diy.sh
###########################################


#1.vars:
function input_urls(){
urls=(`cat /server/files/urls.txt`)
}
#2.检查参数个数是否为0（是否为空），数组用于检查是否为空时可以和变量用法相同

function check_urls(){

if [ -z $urls ];then
	echo "error"
	exit 1
fi

#if [ ${#urls[@]} -eq 0 ];then
#	echo "Help: 未取出正确的url供本脚本检测，请检查脚本！ "
#	exit 1
#fi
}
#2.执行ping命令并判断返回值检测此域名是否能ping通
function ping_if(){
	ping -c1 ${url} &>/dev/null
	if [ $? -eq 0 ]
	then
		greenecho "$url 可以访问"
	else
		redecho "$url 不可以访问"
	fi
}
#3.for
function for_urls(){
for url in ${urls[@]}
do
	ping_if
done
return 0
}

#4.运行上面的函数
function main(){
input_urls
check_urls
for_urls
}
main

